{% extends 'base.html' %}
{% block title %}{{ announcement.announcement_title }}{% endblock %}
{% block content %}
    <h1>{{ announcement.announcement_title }} <br>
    by {{ announcement.announcement_author.first_name }}
        {{ announcement.announcement_author.last_name }}
    </h1>
    {{ announcement.announcement_pub_datetime }} <br>
    {{ announcement.announcement_body }} <br>
    {% for reaction in reactions %}
        <p>{{ reaction.reaction_name }}: {{ reaction.reaction_tally }}</p>
    {% endfor %} <br>


    <a href="{% url 'announcements:announcement-edit' pk=announcement.pk %}">
            <button>Edit Announcement</button>
    </a>

{% endblock %}